VIGRA - TemplateFindROISize class Reference

[ VIGRA Homepage | Class Index | Function Index | File Index | Main Page ]

| FindROISize Class Template Reference |
--- | --- | ---

Calculate the size of an ROI in an image. More...

`#include "vigra/inspectimage.hxx"`

## Public Types
typedef VALUETYPE | argument_type
typedef unsigned int | result_type
typedef VALUETYPE | value_type
## Public Methods
| FindROISize ()
void | reset ()
void | operator() (argument_type const &)
result_type | operator() () const
result_type | size () const
void | operator() (FindROISize const &o)
## Public Attributes
result_type | count

## Detailed Description

### template<class VALUETYPE>
class vigra::FindROISize< VALUETYPE >

Calculate the size of an ROI in an image.

This Functor is often used in conjunction with ArrayOfRegionStatistics to find the sizes of all regions in a labeled image.

Traits defined:

`FunctorTraits::isUnaryAnalyser` and `FunctorTraits::isInitializer` are true (`VigraTrueType`)``

Usage:

#include "vigra/inspectimage.hxx"
Namespace: vigra

        vigra::BImage img, mask;

        vigra::FindROISize<vigra::BImage::PixelType> roisize;   // init functor

        vigra::inspectImageIf(srcImageRange(img), srcImage(mask), roisize);

        cout << "Size of ROI: " << roisize.count;

## Member Typedef Documentation

typedef VALUETYPE argument_type

| the functor's argument type

typedef unsigned int result_type

| the functor's result type

typedef VALUETYPE value_type

| Deprecated: use argument_type and result_type

## Constructor & Destructor Documentation

FindROISize | ( |  | ) | `[inline]`

| init counter to 0

## Member Function Documentation

void operator() | ( | FindROISize< VALUETYPE > const & | o | ) | `[inline]`

| merge two statistics

result_type operator() | ( |  | ) | const`[inline]`

| return current size

void operator() | ( | argument_type const & |  | ) | `[inline]`

| update counter

void reset | ( |  | ) | `[inline]`

| (re-)init ROI size with 0

result_type size | ( |  | ) | const`[inline]`

| return current size

## Member Data Documentation

result_type count

| the current counter

The documentation for this class was generated from the following file:

- vigra/inspectimage.hxx

© Ullrich Köthe (koethe@informatik.uni-hamburg.de) Cognitive Systems Group, University of Hamburg, Germany | html generated using doxygen and Python VIGRA 1.5.0 (7 Dec 2006)